# Changelog for `micro-timer`

## 0.4

Minimum supported Rust version is now 1.41.1 from 1.34.2. Debian stable updated their rustc to 1.41.1 because of a Firefox update.

1.34.2 still works as of this version, but may stop working in a later version. Tests work on 1.36+.

## 0.3.1

### User-facing

* Fixed links and version numbers

### Internal

* Added Heptapod ci

## 0.3.0

### User-facing
* A compilation error is now generated if `#[timed]` is used on an async function
* `#[timed]` now does not print anything if the function panics

### Internal
* Don't use `str::as_mut_ptr` in tests as it does not compile on `1.34.2`

## Previous versions

No changelog was kept for previous versions. Mostly it was behaviour fixing and experimentation, nothing of real value.
